Flash player για Linux

dimitris | Κυρ, 01/13/2008 - 22:54 | 2' | 30

ΕΡΩΤΗΣΗ
Θα ήθελα να μάθω ποια είναι η αντίστοιχη εφαρμογή για το Linux του Flash player της Μacromedia και βέβαια που θα την βρω.

ΑΠΑΝΤΗΣΗ
Για το Flash player, αντίστοιχη ελεύθερη εφαρμογή δεν υπάρχει δυστυχώς. Πρέπει να κατεβάσετε την Linux έκδοση του player από εδώ:
http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz

Μετά, η εγκατάσταση του είναι πολύ απλή. Ανοίγετε ένα τερματικό. Πηγαίνετε στο φάκελο όπου αποθηκεύσατε το αρχείο, το αποσυμπιέζετε
tar zxfv install_flash_player_9_linux.tar.gz

Μπαίνετε στο νέο φάκελο
cd install_flash_player_9_linux

και δίνετε
sh ./flashplayer-installer

Το script θα αντιγράψει 1-2 αρχεία στο φάκελο του Firefox και μετά όλα θα είναι ΟΚ. Πρέπει όμως να κάνετε επανεκκίνηση του Firefox

Tags
Δώσε αστέρια!

MO: (ψήφοι: 0)

Σχόλια

παντα ειχα ενα προβληματακι με τον player... σε flash chat δεν μπορω να γραψω με Ελληνικες γραμματοσειρες..
Ξερει κανεις αν υπαρχει καμια λυση?
(κατα τ αλλα τα Ελληνικα φαινονται μια χαρα , απλα οταν πληκτρολογω βγαινουν κινεζικα)

brave, μήπως μπορείς να δώσεις κάποιο συγκεκριένο site με το πρόβλημα που αναφέρεις προκειμένου να πειραματιστούμε?

βεβαιως, (ειναι και η σελιδα που ειμαι και admin οποτε ειστε wellcome για οποιοδηποτε πειραματισμο) ΕΔΩ πανω δεξια υπαρχει ενα flash chat το οποιο ειναι βασισμενο σε open source εργαλεια, αλλα σχετικα με τα Ελληνικα του linux ειναι δυστροπο.
τεχνικες πληροφοριες σχετικα με τα εργαλεια που εχουν χρησιμοποιηθει μπορεις να παρεις απο τον apollonios ο οποιος ειναι ο web developer της σελιδας αλλα και ο ιδιοκτητης (sorry για την καθυστερημενη απαντηση αλλα λογο επαγγελματος λειπω διαρκως αρκετα δεκαημερα εκτος ελλαδος)
brave2007-6-29 5:54:22

Όντως το πρόβλημα υπάρχεί, αλλά υπάρχει και επίσημη τεμηρίωση της Macromedia για το πρόβλημα utf8 και Flash. Δες εδώ.

χμμμ δοκιμασα να δω καμποσες φορες και ειδα αυτο




Error <>
if(window.opener && window.opener != null)
linuxformat_
document.write("  ");

  



There was an error in processing your request.


Please retry the query.


Specific Error Message:

java.lang.NullPointerException: null



δε βοηθαει και πολυ


Αν καταλαβα καλά πρέπει να γράψεις κάτι σαν System.useCodepage=true.

Γειά σας,
εγκατέστησα το Ubuntu 7.04 για 64 bitο σύστημα  αλλά το μόνο πρόβλημα που έχω είναι ότι όταν
πάω να εγκαταστήσω shockwave flash player μου βγάζει μήνυμα ότι η αρχιτεκτονική αυτή δεν υποστηρίζεται από τον installer αυτον..
Βοήθεια .....

Ποια διανομή έχεις εγκαταστήσει; Μήπως έχεις εγκαταστήσει 64bit;

Δεν πέτυχε... μηπως εχει σχέση με την έκδοση του firefox; εχω το 2.0.0.5.
Γιατι και στην εντολη που μου είπατε παραπανω
  sudo cp libflashplayer.so /usr/lib/firefox/plugins/libflashplayer.so
Έπρεπε να αντικαταστήσω στη διαδρομή του φακέλου το <<firefox>> με <<firefox-2.0.0.5>>


Τελικά αυτο ήταν, εγκατέστησα το 2.0.0.6 και το πρόβλημα λύθηκε.
Ευχαριστω για την βοήθεια!

Μπράβο που το έλυσες! Κάτι μου λέει όμως ότι αν κάνεις update τον firefox θα έχεις πρόβλημα...

Γεια σας είμαι νέο μέλος στην κοινότητα και επίσης και στο Linux.Έχω ένα προβληματάκι με το flash είτε της Adobe είτε το Gnash είτε οποιονδήποτε άλλον,το ότι σε πάρα πολλά flash games του διαδικτύου "τρέχει"πολύ πιο γρήγορα από ότι θα έπρεπε ώστε να παίζονται τα παιχνίδια πιο φυσιολογικά.Καλώς ή κακώς τα παιχνίδια δημιουργήθηκαν επί τον πλείστον από winhole users όπου εκεί το flash είναι αρκετά πιο αργό.Έχει κανείς υπόψιν του κάποιου script όπου η ταχύτητα να αυξομειώνεται κατά βούληση?
Ευχαριστώ εκ των προτέρων
Πέγκυ.

maistros]Γειά σας,
εγκατέστησα το Ubuntu 7.04 για 64 bitο σύστημα  αλλά το μόνο πρόβλημα που έχω είναι ότι όταν
πάω να εγκαταστήσω shockwave flash player μου βγάζει μήνυμα ότι η αρχιτεκτονική αυτή δεν υποστηρίζεται από τον installer αυτον..
Βοήθεια .....

maistros]Γειά σας,
εγκατέστησα το Ubuntu 7.04 για 64 bitο σύστημα  αλλά το μόνο πρόβλημα που έχω είναι ότι όταν
πάω να εγκαταστήσω shockwave flash player μου βγάζει μήνυμα ότι η αρχιτεκτονική αυτή δεν υποστηρίζεται από τον installer αυτον..
Βοήθεια .....

Γιά να έχεις flash player σε Ubuntu x64 AMD χρειάζεσαι τα παρακάτω πακέτα:

alien_8.69_all.deb
debhelper_6.0.4ubuntu1_all.deb
dpkg-dev_1.14.16.6ubuntu3_all.deb
flashplugin-nonfree_9.0.124.0ubuntu2_amd64.deb
gettext_0.17-2ubuntu1_amd64.deb
gsfonts-x11_0.20ubuntu1_all.deb
html2text_1.3.2a-3build2_amd64.deb
ia32-libs_2.2ubuntu10_amd64.deb
intltool-debian_0.35.0+20060710.1_all.deb
libbeecrypt6_4.1.2-6build1_amd64.deb
libflash0c2_0.4.13-9ubuntu1_amd64.deb
libflash-swfplayer_0.4.13-9ubuntu1_amd64.deb
libmad0_0.15.1b-2.1ubuntu1_amd64.deb
librpm4.4_4.4.2.1-1ubuntu6_amd64.deb
libtimedate-perl_1.1600-9_all.deb
nspluginwrapper_0.9.91.5-2ubuntu2_amd64.deb
patch_2.5.9-4_amd64.deb
po-debconf_1.0.10_all.deb
rpm_4.4.2.1-1ubuntu6_amd64.deb

Τα έχω εγκαταστήσει στο Ubuntu 8.04 hardy και μπορείς να τα αναζητήσεις εδώ:
http://packages.ubuntu.com/

Αν και δεν μπορώ να το καταλάβω..
η adobe δεν έχει υποστήριξη για το 64 linux..
άντε να δούμε αν θα γίνει κάτι με το adobe flash 10.

Καλημερα, προσπαθησα να εγκαταστησω τον flash player στον firefox 3.0.1 χωρις επιτυχια. Στο τελος της εγκαταστασης παροτρυνει να γινει remove ενα αρχειο xpti.dat απο το components firefox directory (~mozilla/firefox/xxxxxxx.default). Παρολλο που το διαγραφω, καθε φορα που ξεκινω τον firefox ξαναεμφανιζεται. Τι μπορει να φταιει?

αν και δεν πολυ καταλαβα για ποιο λογο γινεται αυτο θα ελεγα πως θα ηταν καλα να σβησεις το κρυφο dir του ff3 που κραταει
αποθηκευμενες τις ρυθμισεις του με αποτελεσμα ακομα και να απεγκαταστησεις τον ff και να τον ξανα εγκαταστησεις καποιες ρυθμισεις του να παραμενουν οι ιδιες και για την νεα εγκατασταση...οπως γινεται και στην περιπτωση σου...
οποτε σβησε το ~/.mozilla και μετα ξανα κανε εγκατασταση το flash player
μην ξεχνας οτι το συγκεκριμενο dir ειναι κρυφο. (.mozilla) οποτε θα το δεις με ls -a στο ~ (/home/username_σου)

Kαλημερα και απο μενα. Κατεβασα πριν 2 μερες την διανομη Mandriva 2010.2 pwp σε 64bit/ Εχω ενα θεμα με το flash player τις Adobe. Δεν υποστιριζει για 64bit και αναγκαστικα πρεπει να κατεβασω παλιοτερη εκδοση. Μηπως γνωριζει καποιος απο που μπορω? Και αν ειναι ευκολο να με πει οσο πιο αναλυτικα γινετε η εγκατασταση γιατι ειμαι νεος στο χωρο αυτο. Ευχαριστω

To flashplugin έχει ξαναβγεί σε 64-bit (τελευταία beta έκδοση 10.3.162.29).
Το beta δεν θα πρέπει να τρομάζει, αφού και οι παλιές σταθερές εκδόσεις σαν Beta και χειρότερα συμπεριφέρονταν.
Θα πρέπει να βγάλεις το 32-μπιτο flash, να περάσεις στα software sources σου το PLF (Penguin Liberation Front) και να το τραβήξεις έτοιμο, πακεταρισμένο από εκεί.
Περισσότερα για τον τρόπο ρύθμισης του urpmi με PLF και άλλα repositories, από εδώ:
http://easyurpmi.zarb.org/

Γεια σας φιλοι.Χρησιμοποιω το puppy slacko 5.3 σαν live cd χωρις εκατασταση.Μεσω του slickpet εγκαθιστω το flash player.Ολα πανε καλα και το flash εγκαθισταται κανονικα χωρις μηνυμα σφαλματος ωστοσο δεν δουλευει.Για παραδειγμα θελω να παιξω ενα βιντεο στο youtube και αυτο αντι να παιξει εκει που ειναι το βιντεο φαινεται μαυρο.Σε αλλον υπολογιστη που το δοκιμαζω δουλευει κανονικοτατα.Η μητρικη μου ειναι Asus 7V8X-X και η καρτα γραφικων μου Ge Force MX440.O browser που χρησιμοποιω ειναι ο seamonkey δοκιμασα και με firefox αλλα τιποτα.Δοκιμασα να κατεβασω το πακετο .pet του flash απο αλλη τοποθεσια παλι τιποτα.Μπορει καποιος φιλος να μου πει πως μπορω να κανω εγκατασταση χειροκινητα μεσω κονσολας?Υπαρχει κατι που μπορει να φταιει?Ευχαριστω εκ των προτερων για την οποια βοηθεια.

Σε ευχαριστω για την απαντηση.Δοκιμασα και με firefox αλλα τιποτα.Δοκιμασα και με χειροκινητη εγκατασταση παλι τιποτα.

Γεια σας και παλι εχω πολυ ευχαριστα νεα να σας ανακοινωσω.Το προβλημα μου λυθηκε για ολα βρηκα απαντηση [url=https://support.mozilla.org/en-US/questions/964567]εδω[/url]Παραθετω και την απαντηση

Maybe the videos you can see are served in HTML5, and thus may be plyed without Flash. Just right click on the video to check that. But this is a different problem.

I solved my problem by following the instructions there: https://wiki.mageia.org/en/Flash_Plugin_Installation

Recent versions of Adobe 11.2 for Linux are built for processors with the SSE2 instruction set. This is present since Intel Pentium IV and AMD Athlon 64, but my AMD Athlon XP is older and only handles SSE, as you may see here: http://en.wikipedia.org/wiki/List_of_AMD_Athlon_XP_microprocessors

So you need an older version of Flash built for SSE, or the 11.2 flash plugin shipped until Google Chrome 19, which is built for SSE.

Download that libgcflashplayer.so file, rename it into libflashplayer.so, and put it in your /usr/lib/mozilla/plugins directory.

Κατεβασα το αρχειο libgcflashpayeyr.so apo [url=http://www1.datafilehost.com/d/796ff3f2]εδω[/url].Ακολουθησα τις διαδικασιες και το προβλημα λυθηκε.

Να ειστε ολοι καλα για τις απαντησεις.